# Uses of Class
org.codehaus.plexus.util.dag.DAG

Packages that use DAG
Package
Description
org.codehaus.plexus.util.dag
Directed Acyclic Graph utilities.

## Uses of DAG in org.codehaus.plexus.util.dag

Methods in org.codehaus.plexus.util.dag with parameters of type DAG
Modifier and Type
Method
Description
`static List<String>`
CycleDetector.`hasCycle(DAG graph)`
`static List<String>`
TopologicalSorter.`sort(DAG graph)`